Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.introduction
Class AnnotationIntroduction

    java.lang.Object
      org.jboss.aop.introduction.AnnotationIntroduction

public class AnnotationIntroduction
extends Object

Comment

Version:
  $Revision: 1.5 $
Author:
  Bill Burke

Method Summary
`static AnnotationIntroduction` | `createClassAnnotationIntroduction(String classExpr, String annotationExpr, boolean invisible)`
`static AnnotationIntroduction` | `createComplexAnnotationIntroduction(String expr, String annotationExpr, boolean invisible)`
`static AnnotationIntroduction` | `createConstructorAnnotationIntroduction(String conExpr, String annotationExpr, boolean invisible)`
`static AnnotationIntroduction` | `createFieldAnnotationIntroduction(String fieldExpr, String annotationExpr, boolean invisible)`
`static AnnotationIntroduction` | `createMethodAnnotationIntroduction(String methodExpr, String annotationExpr, boolean invisible)`
`ASTAnnotation` | `getAnnotation()`
`String` | `getOriginalAnnotationExpr()`
`String` | `getOriginalExpression()`
`ASTStart` | `getTarget()`
`boolean` | `isInvisible()`
`boolean` | `matches(Advisor advisor, Class clazz)`
`boolean` | `matches(Advisor advisor, Constructor con)`
`boolean` | `matches(Advisor advisor, javassist.CtClass clazz)`
`boolean` | `matches(Advisor advisor, javassist.CtConstructor con)`
`boolean` | `matches(Advisor advisor, javassist.CtField field)`
`boolean` | `matches(Advisor advisor, javassist.CtMethod method)`
`boolean` | `matches(Advisor advisor, Field field)`
`boolean` | `matches(Advisor advisor, Method method)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createMethodAnnotationIntroduction

    public static AnnotationIntroduction createMethodAnnotationIntroduction(String methodExpr,
                                                                            String annotationExpr,
                                                                            boolean invisible)

### createConstructorAnnotationIntroduction

    public static AnnotationIntroduction createConstructorAnnotationIntroduction(String conExpr,
                                                                                 String annotationExpr,
                                                                                 boolean invisible)

### createFieldAnnotationIntroduction

    public static AnnotationIntroduction createFieldAnnotationIntroduction(String fieldExpr,
                                                                           String annotationExpr,
                                                                           boolean invisible)

### createClassAnnotationIntroduction

    public static AnnotationIntroduction createClassAnnotationIntroduction(String classExpr,
                                                                           String annotationExpr,
                                                                           boolean invisible)

### createComplexAnnotationIntroduction

    public static AnnotationIntroduction createComplexAnnotationIntroduction(String expr,
                                                                             String annotationExpr,
                                                                             boolean invisible)

### matches

    public boolean matches(Advisor advisor,
                           javassist.CtClass clazz)

### matches

    public boolean matches(Advisor advisor,
                           javassist.CtMethod method)

### matches

    public boolean matches(Advisor advisor,
                           javassist.CtConstructor con)

### matches

    public boolean matches(Advisor advisor,
                           javassist.CtField field)

### matches

    public boolean matches(Advisor advisor,
                           Class clazz)

### matches

    public boolean matches(Advisor advisor,
                           Method method)

### matches

    public boolean matches(Advisor advisor,
                           Constructor con)

### matches

    public boolean matches(Advisor advisor,
                           Field field)

### getOriginalExpression

    public String getOriginalExpression()

### getOriginalAnnotationExpr

    public String getOriginalAnnotationExpr()

### getAnnotation

    public ASTAnnotation getAnnotation()

### isInvisible

    public boolean isInvisible()

### getTarget

    public ASTStart getTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.